<?php
/**
 * Medical Hospital: Block Patterns
 *
 * @package Medical Hospital
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'medical-hospital',
		array( 'label' => __( 'Medical Hospital', 'medical-hospital' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'medical-hospital/banner-section',
		array(
			'title'      => __( 'Banner Section', 'medical-hospital' ),
			'categories' => array( 'medical-hospital' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\",\"id\":1895,\"dimRatio\":50,\"isDark\":false,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull is-light\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-1895\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"15%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:15%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"70%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:70%\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"35px\",\"textTransform\":\"uppercase\"}},\"textColor\":\"white\"} -->\n<h1 class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:35px;text-transform:uppercase\">Lorem Ipsum is simply dummy text</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:14px\">Lorem Ipsum is simply dummy text of the printing and typesetting industry.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"align\":\"center\",\"style\":{\"color\":{\"background\":\"#1776c6\"},\"border\":{\"radius\":\"25px\"}},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size has-small-font-size\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"border-radius:25px;background-color:#1776c6\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"15%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:15%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'medical-hospital/service-section',
		array(
			'title'      => __( 'Service Section', 'medical-hospital' ),
			'categories' => array( 'medical-hospital' ),
			'content'    => "<!-- wp:columns {\"align\":\"wide\",\"className\":\"main-service-section position-relative mx-md-5 mx-2  pt-5\"} -->\n<div class=\"wp-block-columns alignwide main-service-section position-relative mx-md-5 mx-2  pt-5\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#1776c6\"}},\"className\":\"service-section-text\"} -->\n<div class=\"wp-block-column service-section-text has-background\" style=\"background-color:#1776c6\"><!-- wp:image {\"align\":\"center\",\"id\":1953,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-2\"} -->\n<figure class=\"wp-block-image aligncenter size-full mb-md-2\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/service icon1.png\" alt=\"\" class=\"wp-image-1953\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"textTransform\":\"uppercase\"}},\"textColor\":\"white\"} -->\n<h2 class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:16px;text-transform:uppercase\">LOREM IPSUM1</h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button /--></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#1776c6\"}},\"className\":\"service-section-text\"} -->\n<div class=\"wp-block-column service-section-text has-background\" style=\"background-color:#1776c6\"><!-- wp:image {\"align\":\"center\",\"id\":1954,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-2\"} -->\n<figure class=\"wp-block-image aligncenter size-full mb-md-2\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/service icon2.png\" alt=\"\" class=\"wp-image-1954\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"16px\"}},\"textColor\":\"white\"} -->\n<h2 class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:16px;text-transform:uppercase\">LOREM IPSUM2</h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button /--></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#1776c6\"}},\"className\":\"service-section-text\"} -->\n<div class=\"wp-block-column service-section-text has-background\" style=\"background-color:#1776c6\"><!-- wp:image {\"align\":\"center\",\"id\":1955,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-2\"} -->\n<figure class=\"wp-block-image aligncenter size-full mb-md-2\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/service icon3.png\" alt=\"\" class=\"wp-image-1955\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"16px\"}},\"textColor\":\"white\"} -->\n<h2 class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:16px;text-transform:uppercase\">LOREM IPSUM3</h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button /--></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#1776c6\"}},\"className\":\"service-section-text\"} -->\n<div class=\"wp-block-column service-section-text has-background\" style=\"background-color:#1776c6\"><!-- wp:image {\"align\":\"center\",\"id\":1956,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-2\"} -->\n<figure class=\"wp-block-image aligncenter size-full mb-md-2\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/service icon4.png\" alt=\"\" class=\"wp-image-1956\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"textTransform\":\"uppercase\"}},\"textColor\":\"white\"} -->\n<h2 class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:16px;text-transform:uppercase\">LOREM IPSUM4</h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button /--></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);

	register_block_pattern(
		'medical-hospital/about us-section',
		array(
			'title'      => __( 'About Us Section', 'medical-hospital' ),
			'categories' => array( 'medical-hospital' ),
			'content'    => "<!-- wp:group {\"align\":\"wide\",\"className\":\"about-us-section mx-md-5 pt-md-3 mx-3\"} -->\n<div class=\"wp-block-group alignwide about-us-section mx-md-5 pt-md-3 mx-3\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"66.66%\",\"className\":\"text-center\"} -->\n<div class=\"wp-block-column text-center\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"textAlign\":\"right\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"30px\",\"textTransform\":\"uppercase\"}},\"textColor\":\"black\"} -->\n<h3 class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:30px;text-transform:uppercase\">ABOUT US</h3>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"className\":\"mb-md-1 mb-1\"} -->\n<div class=\"wp-block-columns mb-md-1 mb-1\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"align\":\"right\",\"id\":1970,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"about-us-small-img\"} -->\n<figure class=\"wp-block-image alignright size-full about-us-small-img\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/border-image-aboutus.png\" alt=\"\" class=\"wp-image-1970\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"color\":{\"text\":\"#666666\"},\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#666666;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"align\":\"right\",\"style\":{\"color\":{\"background\":\"#1776c6\"},\"border\":{\"radius\":\"30px\"}},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button alignright has-custom-font-size has-small-font-size\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"border-radius:30px;background-color:#1776c6\">FIND OUT MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":1959,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/about-us.png\" alt=\"\" class=\"wp-image-1959\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}